%define version 1.0.19
%define release 1

Name:         mftrace
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
Summary:      Generates scalable fonts for TeX
Group:        Applications/Publishing
License:      GPL
Url:          http://www.cs.uu.nl/~hanwen/%{name}
Source0:      %url/%{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}-root
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

PreReq: tetex python autotrace t1utils pfaedit
Obsoletes: pktrace

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font. It is licensed under the GNU GPL.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/%{name}

%changelog
* Wed Nov 12 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.19-1
- added release tags, spec file tweaks
* Sun Aug 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.19-1
- updated to 1.0.19
* Tue Oct 22 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.10-1
- updated to 1.0.10, the package is now called mftrace

* Tue Jun 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 1.0.3-1
- adapted from alt linux to redhat, needed for the lilypond build
- added patch to GNUmakefile so that the package installs in DESTDIR

* Thu Apr 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Tue Mar 19 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Sat Mar 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.11-alt1
- Adopted for Sisyphus.

* Tue Feb 19 2002 Han-Wen Nienhuys <hanwen@cs.uu.nl>
- Initial build.
